Name:		patcher
Version:	0.7
Release:	%mkrel 5
License:	GPLv2+
Group:		Development/Other
Summary:	Quick creation of patches against a project source tree
Url:		https://github.com/solbu/patcher
Source0:	https://github.com/solbu/patcher/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		0001-Port-to-python3.patch
BuildRequires:	python3-devel
BuildArch:	noarch

%description
Patcher is a tool for quick creation of patches against a project source tree.
Patcher functionality resembles a lightweight version control system. It has no
repository, and only controls differences between a pristine version and a
working copy.

%prep
%autosetup -p1

%build
%py3_build

%install
%py3_install

install -D ptr.1 %{buildroot}/%{_mandir}/man1/ptr.1

%files
%doc README
%license LICENSE
%{_bindir}/ptr
%{_mandir}/man1/ptr.1*
%{python3_sitelib}/%{name}/
%{python3_sitelib}/*.egg-info


%changelog
* Wed Mar 25 2020 danf <danf> 0.7-5.mga8
+ Revision: 1559587
- Fix a Python 3 issue when dealing with binary files.

* Tue Feb 18 2020 umeabot <umeabot> 0.7-4.mga8
+ Revision: 1541564
- Mageia 8 Mass Rebuild

* Sun Dec 29 2019 wally <wally> 0.7-3.mga8
+ Revision: 1474759
- switch to python3

* Sun Sep 23 2018 umeabot <umeabot> 0.7-2.mga7
+ Revision: 1300121
- Mageia 7 Mass Rebuild

* Sun Jan 28 2018 solbu <solbu> 0.7-1.mga7
+ Revision: 1197465
- New release: 0.7
- Clean spec
- New upstream URL
- Drop Patch0: Merged upstream

* Tue Feb 02 2016 umeabot <umeabot> 0.6-20.mga6
+ Revision: 931688
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6-19.mga5
+ Revision: 743096
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.6-18.mga5
+ Revision: 727533
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6-17.mga5
+ Revision: 683352
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.6-15.mga4
+ Revision: 542842
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.6-14.mga4
+ Revision: 498030
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.6-13.mga3
+ Revision: 362453
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 17 2011 mikala <mikala> 0.6-12.mga1
+ Revision: 52767
- Remove buildroot
+ kharec <kharec>
- imported package patcher

